Bug 110720 - HPT Rocket100 (HPT370a based IDE host adapter) hangs kernel on boot
HPT Rocket100 (HPT370a based IDE host adapter) hangs kernel on boot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-24 00:28 EST by jlewis
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 15:43:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description jlewis 2003-11-24 00:28:30 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
Fedora Core 1 cannot install on drives connected to this card.  The
kernel appears to hang when devices on the card are probed.  After
Fedora Core 1 is installed on drives connected to the motherboard's
IDE controller, I put the Rocket100 back in with 1 drive for more testing.

HPT's product and chip numbers are a bit confusing, but the Rocket100
is a dual port ATA100 controller.  It is not a RAID card.  The
RocketRAID100 is the RAID version of this card.

[root@sloth root]# lspci
00:00.0 Host bridge: Intel Corp. 440LX/EX - 82443LX/EX Host bridge
(rev 03)
00:01.0 PCI bridge: Intel Corp. 440LX/EX - 82443LX/EX AGP bridge (rev 03)
00:04.0 ISA bridge: Intel Corp. 82371AB/EB/MB PIIX4 ISA (rev 02)
00:04.1 IDE interface: Intel Corp. 82371AB/EB/MB PIIX4 IDE (rev 01)
00:04.2 USB Controller: Intel Corp. 82371AB/EB/MB PIIX4 USB (rev 01)
00:04.3 Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ACPI (rev 02)
00:09.0 Unknown mass storage controller: Triones Technologies, Inc.
HPT366/368/370/370A/372 (rev 04)
00:0a.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
00:0b.0 SCSI storage controller: BusLogic Flashpoint LT (rev 01)
00:0c.0 Ethernet controller: Digital Equipment Corporation DECchip
21040 [Tulip] (rev 23)
01:00.0 VGA compatible controller: ATI Technologies Inc 3D Rage Pro
AGP 1X/2X (rev 5c)

If I boot with hde=noprobe hdf=noprobe hdg=noprobe hdh=noprobe, I can
get the system booted up with the HPT controller installed and a drive
attached to it, but I don't see the drive and the kernel doesn't see
that the HPT has an IRQ.

Here's part of the bootup messages.

HPT370A: IDE controller at PCI slot 00:09.0
PCI: Found IRQ 11 for device 00:09.0
PCI: Sharing IRQ 11 with 00:04.2
HPT370A: chipset revision 4
HPT370A: not 100% native mode: will probe irqs later
HPT37X: using 33MHz PCI clock
    ide2: BM-DMA at 0x9800-0x9807, BIOS settings: hde:DMA, hdf:pio
    ide3: BM-DMA at 0x9808-0x980f, BIOS settings: hdg:pio, hdh:pio
hda: WDC WD1600JB-00EVA0, ATA DISK drive
blk: queue c040cfc0, I/O limit 4095Mb (mask 0xffffffff)
hdc: WDC WD1600JB-00EVA0, ATA DISK drive
hdd: CD-ROM CDU701, ATAPI CD/DVD-ROM drive
blk: queue c040d41c, I/O limit 4095Mb (mask 0xffffffff)

If I boot without all the hdx=noprobe's, the kernel hangs at this point.
 
[root@sloth root]# cat /proc/interrupts
           CPU0
  0:      79515          XT-PIC  timer
  1:       2043          XT-PIC  keyboard
  2:          0          XT-PIC  cascade
  5:          2          XT-PIC  soundblaster
  8:          1          XT-PIC  rtc
  9:       1344          XT-PIC  eth0, eth1
 10:         22          XT-PIC  BusLogic BT-930
 11:          0          XT-PIC  usb-uhci
 12:      26536          XT-PIC  PS/2 Mouse
 14:       8678          XT-PIC  ide0
 15:      13783          XT-PIC  ide1
NMI:          0
ERR:          0

Incidentally, HPT claims this card supports Red Hat Linux.  They offer
driver disks on their site for various older Red Hat versions.  I
tried their driver disks with both Red Hat 8.0 and Red Hat 9.  In both
cases, the install got as far as installing RPM packages, but died
with IO errors after installing just a few packages.  The same drives
work fine (though slower) on the P2L97's built-in ATA33 interfaces.



Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2115.nptl

How reproducible:
Always

Steps to Reproduce:
1. Install HPT Rocket100 controller
2. Connect a drive to Rocket100 using supplied 80-pin cable
3. Watch kernel hang at next boot
    

Actual Results:  Kernel hung.

Expected Results:  Kernel should have completed booting so I could
install Fedora.

Additional info:
Comment 1 jlewis 2003-11-24 01:54:17 EST
I forgot to mention, my HPT card came with BIOS version 1.20.  After encountering 
these problems, I upgraded it to 1.21 (the latest) with no improvement.
Comment 2 jlewis 2003-11-27 13:45:44 EST
After successfully installing Fedora Core 1 on these 160gb drives on
the motherboard IDE interfaces, I've moved them to a Promise
Ultra100TX2 where they also appear to work just fine.  I'll hold onto
the HPT Rocket100 for additional testing and possible future use.

[root@sloth root]# lspci
00:00.0 Host bridge: Intel Corp. 440LX/EX - 82443LX/EX Host bridge
(rev 03)
00:01.0 PCI bridge: Intel Corp. 440LX/EX - 82443LX/EX AGP bridge (rev 03)
00:04.0 ISA bridge: Intel Corp. 82371AB/EB/MB PIIX4 ISA (rev 02)
00:04.1 IDE interface: Intel Corp. 82371AB/EB/MB PIIX4 IDE (rev 01)
00:04.2 USB Controller: Intel Corp. 82371AB/EB/MB PIIX4 USB (rev 01)
00:04.3 Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ACPI (rev 02)
00:09.0 Unknown mass storage controller: Promise Technology, Inc.
20268 (rev 02)
00:0a.0 Ethernet controller: Realtek Semiconductor Co., Ltd.
RTL-8139/8139C/8139C+ (rev 10)
00:0b.0 SCSI storage controller: BusLogic Flashpoint LT (rev 01)
00:0c.0 Ethernet controller: Digital Equipment Corporation DECchip
21040 [Tulip] (rev 23)
01:00.0 VGA compatible controller: ATI Technologies Inc 3D Rage Pro
AGP 1X/2X (rev 5c)

PDC20268: IDE controller at PCI slot 00:09.0
PCI: Found IRQ 9 for device 00:09.0
PCI: Sharing IRQ 9 with 00:04.2
PDC20268: chipset revision 2
PDC20268: not 100% native mode: will probe irqs later
    ide2: BM-DMA at 0x9800-0x9807, BIOS settings: hde:pio, hdf:pio
    ide3: BM-DMA at 0x9808-0x980f, BIOS settings: hdg:pio, hdh:pio
hdc: CD-ROM CDU701, ATAPI CD/DVD-ROM drive
hde: WDC WD1600JB-00EVA0, ATA DISK drive
blk: queue c040d878, I/O limit 4095Mb (mask 0xffffffff)
hdg: WDC WD1600JB-00EVA0, ATA DISK drive
blk: queue c040dcd4, I/O limit 4095Mb (mask 0xffffffff)
ide1 at 0x170-0x177,0x376 on irq 15
ide2 at 0xb000-0xb007,0xa802 on irq 9
ide3 at 0xa400-0xa407,0xa002 on irq 9
hde: attached ide-disk driver.
hde: host protected area => 1
hde: 312581808 sectors (160042 MB) w/8192KiB Cache, CHS=19457/255/63,
UDMA(100)
hdg: attached ide-disk driver.
hdg: host protected area => 1
hdg: 312581808 sectors (160042 MB) w/8192KiB Cache, CHS=19457/255/63,
UDMA(100)
Comment 3 David Lawrence 2004-09-29 15:43:47 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.